Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid.quadrilateral
Interface GridCell

    @UML(identifier="CV_GridCell",
         specification=ISO_19123)
    public interface GridCell

A grid cell delineated by the grid lines of a grid. Its corners are associated with the grid points at the intersections of the grid lines that bound it

Method Summary
`Set<GridPoint>` | `getCorners()` Returns the collection of grid points at the corners of the grid cell.
`Grid` | `getFramework()` Returns the grid of which this cell is a component.
`Set<Geometry>` | `getSpatialElements()` This role name is inherited from DomainObject and associates the grid cell with a geometric object which encodes only the spatial components of the grid index.
`Set<TemporalGeometricPrimitive>` | `getTemporalElements()` This role name is inherited from DomainObject and associates the grid cell with a TM_Interval which represents the two TM_Instants which participate in the Grid Cell.

Method Detail

### getCorners

    @UML(identifier="corner",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<GridPoint> getCorners()

  Returns the collection of grid points at the corners of the grid cell. The size of this collection has no upper bound, to allow for grids of any dimension. In a quadrilateral grid, the multiplicity of corner equals 2×d, where d is the value of `Grid.getDimension()`.

  See Also:
    `GridPoint.getCells()`

### getFramework

    @UML(identifier="framework",
         obligation=MANDATORY,
         specification=ISO_19123)
    Grid getFramework()

  Returns the grid of which this cell is a component.

  See Also:
    `Grid.getCells()`

### getSpatialElements

    @Extension
    Set<Geometry> getSpatialElements()

  This role name is inherited from DomainObject and associates the grid cell with a geometric object which encodes only the spatial components of the grid index. Spatial axes in the geometric object are specified in the same order as in the grid coordinates. The temporal axis and any categorical axes are omitted. In two spatial dimensions, the geometric object shall be a GM_PolyhedralSurface composed of a single GM_Polygon. For three spatial dimensions, the user must specify a GM_Solid object which represents the volume bounded by the eight corners. Because we consider time to be orthogonal to space, these spatial elements may be factored out. The same spatial elements participate at the start time and at the end time. Therefore, they need only be represented once.

### getTemporalElements

    @Extension
    Set<TemporalGeometricPrimitive> getTemporalElements()

  This role name is inherited from DomainObject and associates the grid cell with a TM_Interval which represents the two TM_Instants which participate in the Grid Cell. Because there may be only one time axis, there can be only two relevant TM_Instants. Because we consider time to be orthogonal to space, these temporal elements may be factored out and represented separately from the spatial elements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.